|  | Home · All Classes · Modules

# QTextLength Class Reference
[QtGui module]

The QTextLength class encapsulates the different types of length used in a QTextDocument. More...

### Types

- enum Type { VariableLength, FixedLength, PercentageLength }

### Methods

- __init__ (self)
- __init__ (self, Type, float)
- __init__ (self, QVariant variant)
- __init__ (self, QTextLength)
- float rawValue (self)
- Type type (self)
- float value (self, float)

### Special Methods

- bool __eq__ (self, QTextLength)
- bool __ne__ (self, QTextLength)

## Detailed Description

The QTextLength class encapsulates the different types of length used in a QTextDocument.

When we specify a value for the length of an element in a text document, we often need to provide some other information so that the length is used in the way we expect. For example, when we specify a table width, the value can represent a fixed number of pixels, or it can be a percentage value. This information changes both the meaning of the value and the way it is used.

Generally, this class is used to specify table widths. These can be specified either as a fixed amount of pixels, as a percentage of the containing frame's width, or by a variable width that allows it to take up just the space it requires.

See also QTextTable.

## Type Documentation

### QTextLength.Type

This enum describes the different types a length object can have.

Constant | Value | Description
--- | --- | ---
`QTextLength.VariableLength` | `0` | The width of the object is variable
`QTextLength.FixedLength` | `1` | The width of the object is fixed
`QTextLength.PercentageLength` | `2` | The width of the object is in percentage of the maximum width

See also type().

## Method Documentation

### QTextLength.__init__ (self)

Constructs a new length object which represents a variable size.

### QTextLength.__init__ (self, Type, float)

Constructs a new length object of the given type and value.

### QTextLength.__init__ (self, QVariant variant)

### QTextLength.__init__ (self, QTextLength)

### float QTextLength.rawValue (self)

Returns the constraint value that is specific for the type of the length. If the length is QTextLength.PercentageLength then the raw value is in percent, in the range of 0 to 100. If the length is QTextLength.FixedLength then that fixed amount is returned. For variable lengths, zero is returned.

### Type QTextLength.type (self)

Returns the type of this length object.

See also QTextLength.Type.

### float QTextLength.value (self, float)

Returns the effective length, constrained by the type of the length object and the specified maximumLength.

See also type().

### bool QTextLength.__eq__ (self, QTextLength)

### bool QTextLength.__ne__ (self, QTextLength)